"""This package contains helper functions."""

from reportportal_client.helpers import markdown_helpers
from reportportal_client.helpers.common_helpers import (
    ATTRIBUTE_LENGTH_LIMIT,
    CONTENT_TYPE_TO_EXTENSIONS,
    TRUNCATE_REPLACEMENT,
    TYPICAL_FILE_PART_HEADER,
    TYPICAL_MULTIPART_FOOTER_LENGTH,
    LifoQueue,
    agent_name_version,
    await_if_necessary,
    calculate_file_part_size,
    calculate_json_part_size,
    caseless_equal,
    dict_to_payload,
    gen_attributes,
    generate_uuid,
    get_function_params,
    get_launch_sys_attrs,
    get_package_parameters,
    get_package_version,
    guess_content_type_from_bytes,
    is_binary,
    match_pattern,
    normalize_caseless,
    root_uri_join,
    timestamp,
    to_bool,
    translate_glob_to_regex,
    truncate_attribute_string,
    uri_join,
    verify_value_length,
)

__all__ = [
    "markdown_helpers",
    "ATTRIBUTE_LENGTH_LIMIT",
    "TRUNCATE_REPLACEMENT",
    "CONTENT_TYPE_TO_EXTENSIONS",
    "TYPICAL_MULTIPART_FOOTER_LENGTH",
    "TYPICAL_FILE_PART_HEADER",
    "LifoQueue",
    "agent_name_version",
    "await_if_necessary",
    "calculate_file_part_size",
    "calculate_json_part_size",
    "caseless_equal",
    "dict_to_payload",
    "gen_attributes",
    "generate_uuid",
    "get_function_params",
    "get_launch_sys_attrs",
    "get_package_parameters",
    "get_package_version",
    "guess_content_type_from_bytes",
    "is_binary",
    "match_pattern",
    "normalize_caseless",
    "root_uri_join",
    "timestamp",
    "to_bool",
    "translate_glob_to_regex",
    "truncate_attribute_string",
    "uri_join",
    "verify_value_length",
]
